class ComponentFactory.Krypton.Toolkit.PaletteRedirect
   inherits ComponentFactory.Krypton.Toolkit.GlobalId
   implements ComponentFactory.Krypton.Toolkit.IPalette:

   def public property Target as ComponentFactory.Krypton.Toolkit.IPalette
      get.
      set.

   def public property ColorTable as ComponentFactory.Krypton.Toolkit.KryptonColorTable
      get.

   def public event PalettePaint signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.PaletteLayoutEventArgs).

   def public event AllowFormChromeChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BasePaletteChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event BaseRendererChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ButtonSpecChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public PaletteRedirect():
   end constructor.

   constructor public PaletteRedirect(input target as ComponentFactory.Krypton.Toolkit.IPalette):
   end constructor.

   method public ComponentFactory.Krypton.Toolkit.InheritBool GetAllowFormChrome():
   end method.

   method public ComponentFactory.Krypton.Toolkit.IRenderer GetRenderer():
   end method.

   method public ComponentFactory.Krypton.Toolkit.InheritBool GetBackDraw(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteGraphicsHint GetBackGraphicsHint(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetBackColor1(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetBackColor2(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetBackColorStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBackColorAlign(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public decimal GetBackColorAngle(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Image GetBackImage(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetBackImageStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBackImageAlign(input style as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.InheritBool GetBorderDraw(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteDrawBorders GetBorderDrawBorders(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteGraphicsHint GetBorderGraphicsHint(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetBorderColor1(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetBorderColor2(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetBorderColorStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBorderColorAlign(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public decimal GetBorderColorAngle(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public integer GetBorderWidth(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public integer GetBorderRounding(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Image GetBorderImage(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetBorderImageStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBorderImageAlign(input style as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.InheritBool GetContentDraw(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.InheritBool GetContentDrawFocus(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentImageH(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentImageV(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteImageEffect GetContentImageEffect(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetContentImageColorMap(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetContentImageColorTo(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Font GetContentShortTextFont(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Font GetContentShortTextNewFont(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteTextHint GetContentShortTextHint(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteTextHotkeyPrefix GetContentShortTextPrefix(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.InheritBool GetContentShortTextMultiLine(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteTextTrim GetContentShortTextTrim(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextH(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextV(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentShortTextMultiLineH(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetContentShortTextColor1(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetContentShortTextColor2(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetContentShortTextColorStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentShortTextColorAlign(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public decimal GetContentShortTextColorAngle(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Image GetContentShortTextImage(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetContentShortTextImageStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentShortTextImageAlign(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Font GetContentLongTextFont(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Font GetContentLongTextNewFont(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteTextHint GetContentLongTextHint(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.InheritBool GetContentLongTextMultiLine(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteTextTrim GetContentLongTextTrim(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteTextHotkeyPrefix GetContentLongTextPrefix(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextH(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextV(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetContentLongTextMultiLineH(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetContentLongTextColor1(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetContentLongTextColor2(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetContentLongTextColorStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentLongTextColorAlign(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public decimal GetContentLongTextColorAngle(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Image GetContentLongTextImage(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetContentLongTextImageStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetContentLongTextImageAlign(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Windows.Forms.Padding GetContentPadding(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public integer GetContentAdjacentGap(input style as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public integer GetMetricInt(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricInt):
   end method.

   method public ComponentFactory.Krypton.Toolkit.InheritBool GetMetricBool(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricBool):
   end method.

   method public System.Windows.Forms.Padding GetMetricPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricPadding):
   end method.

   method public System.Drawing.Image GetTreeViewImage(input expanded as logical):
   end method.

   method public System.Drawing.Image GetCheckBoxImage(input enabled as logical, input checkState as System.Windows.Forms.CheckState, input tracking as logical, input pressed as logical):
   end method.

   method public System.Drawing.Image GetRadioButtonImage(input enabled as logical, input checkState as logical, input tracking as logical, input pressed as logical):
   end method.

   method public System.Drawing.Image GetDropDownButtonImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Image GetContextMenuCheckedImage():
   end method.

   method public System.Drawing.Image GetContextMenuIndeterminateImage():
   end method.

   method public System.Drawing.Image GetContextMenuSubMenuImage():
   end method.

   method public System.Drawing.Image GetGalleryButtonImage(input button as ComponentFactory.Krypton.Toolkit.PaletteRibbonGalleryButton, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Icon GetButtonSpecIcon(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public System.Drawing.Image GetButtonSpecImage(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetButtonSpecImageTransparentColor(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public character GetButtonSpecShortText(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public character GetButtonSpecLongText(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public character GetButtonSpecToolTipTitle(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public System.Drawing.Color GetButtonSpecColorMap(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteButtonStyle GetButtonSpecStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public ComponentFactory.Krypton.Toolkit.HeaderLocation GetButtonSpecLocation(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeEdgeAlign GetButtonSpecEdge(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteButtonOrientation GetButtonSpecOrientation(input style as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRibbonShape GetRibbonShape():
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRelativeAlign GetRibbonContextTextAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Font GetRibbonContextTextFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonContextTextColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonDisabledDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonDisabledLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonDropArrowLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonDropArrowDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonGroupDialogDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonGroupDialogLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonGroupSeparatorDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonGroupSeparatorLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonMinimizeBarDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonMinimizeBarLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonTabSeparatorColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonTabSeparatorContextColor(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Font GetRibbonTextFont(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteTextHint GetRibbonTextHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonQATButtonDark(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonQATButtonLight(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteRibbonColorStyle GetRibbonBackColorStyle(input style as ComponentFactory.Krypton.Toolkit.PaletteRibbonBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonBackColor1(input style as ComponentFactory.Krypton.Toolkit.PaletteRibbonBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonBackColor2(input style as ComponentFactory.Krypton.Toolkit.PaletteRibbonBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonBackColor3(input style as ComponentFactory.Krypton.Toolkit.PaletteRibbonBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonBackColor4(input style as ComponentFactory.Krypton.Toolkit.PaletteRibbonBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonBackColor5(input style as ComponentFactory.Krypton.Toolkit.PaletteRibbonBackStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetRibbonTextColor(input style as ComponentFactory.Krypton.Toolkit.PaletteRibbonTextStyle, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetElementColor1(input element as ComponentFactory.Krypton.Toolkit.PaletteElement, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetElementColor2(input element as ComponentFactory.Krypton.Toolkit.PaletteElement, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetElementColor3(input element as ComponentFactory.Krypton.Toolkit.PaletteElement, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetElementColor4(input element as ComponentFactory.Krypton.Toolkit.PaletteElement, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetElementColor5(input element as ComponentFactory.Krypton.Toolkit.PaletteElement, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public ComponentFactory.Krypton.Toolkit.PaletteDragFeedback GetDragDropFeedback():
   end method.

   method public System.Drawing.Color GetDragDropSolidBack():
   end method.

   method public System.Drawing.Color GetDragDropSolidBorder():
   end method.

   method public decimal GetDragDropSolidOpacity():
   end method.

   method public System.Drawing.Color GetDragDropDockBack():
   end method.

   method public System.Drawing.Color GetDragDropDockBorder():
   end method.

   method public System.Drawing.Color GetDragDropDockActive():
   end method.

   method public System.Drawing.Color GetDragDropDockInactive():
   end method.

   method protected void OnPalettePaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.PaletteLayoutEventArgs):
   end method.

   method protected void OnAllowFormChromeChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void OnBasePaletteChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void OnBaseRendererChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void OnButtonSpecChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

end class.
