class Progress.Open4GL.DynamicAPI.Session
   inherits System.Object
   implements Progress.Open4GL.DynamicAPI.Interruptable, System.IDisposable:

   def public static variable WAIT_IF_BUSY as character.

   def public static variable CONNECTION_MODE as character.

   def protected variable disposed as logical.

   def public property ConnectionId as character
      get.

   def public property ReturnValue as character
      get.

   def public property RequestId as character
      get.

   def public property SSLSubjectName as character
      get.

   def public property SessionID as character
      get.

   def public property PoolState as integer
      get.
      set.

   def public property ASKVersion as integer
      get.

   def public property ServerASKEnabled as logical
      get.

   def public property ClientASKEnabled as logical
      get.

   def public property ClientASKActivityTimeout as integer
      get.

   def public property ClientASKResponseTimeout as integer
      get.

   def public property proxyGenVersion as integer
      get.
      set.

   def public property serverMajorVersion as integer
      get.
      set.

   constructor public Session():
   end constructor.

   constructor public Session(input url as character):
   end constructor.

   constructor public Session(input url as character, input userId as character, input password as character, input clientInfo as character, input proxyGenVersion as integer):
   end constructor.

   constructor public Session(input url as character, input log as Progress.Common.EhnLog.IAppLogger, input sessionProperties as Progress.Open4GL.DynamicAPI.IPoolProps):
   end constructor.

   method public final void setupLogging():
   end method.

   method public void setStop():
   end method.

   method public void connect(input url as character, input userId as character, input password as character, input clientInfo as character, input sessionProps as Progress.Open4GL.DynamicAPI.IPoolProps, input proxyGenVersion as integer):
   end method.

   method public void connect(input url as character, input userId as character, input password as character, input clientInfo as character, input proxyGenVersion as integer):
   end method.

   method public void connect(input requestID as character, input url as character, input userId as character, input password as character, input clientInfo as character, input proxyGenVersion as integer):
   end method.

   method public void addReference():
   end method.

   method public void deleteReference():
   end method.

   method public logical isConnected():
   end method.

   method public Progress.Open4GL.DynamicAPI.PersistentProc runPersistentProcedure(input procedureName as character, input parms as Progress.Open4GL.DynamicAPI.ParameterSet):
   end method.

   method public Progress.Open4GL.DynamicAPI.PersistentProc runPersistentProcedure(input requestID as character, input procedureName as character, input parms as Progress.Open4GL.DynamicAPI.ParameterSet):
   end method.

   method public Progress.Open4GL.DynamicAPI.PersistentProc runPersistentProcedure(input procedureName as character, input parms as Progress.Open4GL.DynamicAPI.ParameterSet, input schema as Progress.Open4GL.DynamicAPI.MetaSchema):
   end method.

   method public Progress.Open4GL.DynamicAPI.PersistentProc runPersistentProcedure(input requestID as character, input procedureName as character, input parms as Progress.Open4GL.DynamicAPI.ParameterSet, input schema as Progress.Open4GL.DynamicAPI.MetaSchema):
   end method.

   method public Progress.Open4GL.DynamicAPI.PersistentProc runPersistentProcedure(input procedureName as character, input stateModel as integer):
   end method.

   method public void runProcedure(input procedureName as character, input parms as Progress.Open4GL.DynamicAPI.ParameterSet):
   end method.

   method public void runProcedure(input requestID as character, input procedureName as character, input parms as Progress.Open4GL.DynamicAPI.ParameterSet):
   end method.

   method public void runProcedure(input procedureName as character, input parms as Progress.Open4GL.DynamicAPI.ParameterSet, input schema as Progress.Open4GL.DynamicAPI.MetaSchema):
   end method.

   method public void runProcedure(input requestID as character, input procedureName as character, input parms as Progress.Open4GL.DynamicAPI.ParameterSet, input schema as Progress.Open4GL.DynamicAPI.MetaSchema):
   end method.

   method public final void runStatelessProcedure(input requestID as character, input fullProcedureName as character, input inparams as Progress.Open4GL.DynamicAPI.ParameterSet, input procId as System.Object, input localSchema as Progress.Open4GL.DynamicAPI.MetaSchema, input stateModel as integer):
   end method.

   method public final void manageASKPingRequest():
   end method.

   method public void stop():
   end method.

   method protected final override void Finalize():
   end method.

   method public void shutdown():
   end method.

   method public int64 tsCreated():
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

end class.
