class Progress.Open4GL.DynamicAPI.SessionPool
   inherits Progress.Open4GL.DynamicAPI.ObjectPool
   implements Progress.Message.jcMsg:

   def public static variable STATE_INIT as integer.

   def public static variable STATE_AVAILABLE as integer.

   def public static variable STATE_BUSY as integer.

   def public property Properties as Progress.Open4GL.DynamicAPI.IPoolProps
      get.

   def public property ConnectionId as character
      get.
      set.

   def public property RequestId as character
      get.
      set.

   def public property ReturnValue as character
      get.
      set.

   def public property SSLSubjectName as character
      get.
      set.

   constructor public SessionPool(input appName as character, input properties as Progress.Open4GL.DynamicAPI.IPoolProps, input log as Progress.Common.EhnLog.IAppLogger, input poolName as character, input requestID as character):
   end constructor.

   constructor public SessionPool(input appName as character, input properties as Progress.Open4GL.DynamicAPI.IPoolProps, input log as Progress.Common.EhnLog.IAppLogger, input poolName as character, input sessionMode as integer, input requestID as character, input url as character, input userId as character, input password as character, input clientInfo as character):
   end constructor.

   method public final static Progress.Open4GL.DynamicAPI.SessionPool createPool(input appName as character, input properties as Progress.Open4GL.DynamicAPI.IPoolProps, input log as Progress.Common.EhnLog.IAppLogger, input requestID as character):
   end method.

   method public final static Progress.Open4GL.DynamicAPI.SessionPool createPool(input appName as character, input properties as Progress.Open4GL.DynamicAPI.IPoolProps, input log as Progress.Common.EhnLog.IAppLogger, input sessionMode as integer, input requestID as character, input url as character, input userId as character, input password as character, input clientInfo as character):
   end method.

   method public override System.Object findAvailableObject():
   end method.

   method public override void makeObjectAvailable(input obj as System.Object):
   end method.

   method public Progress.Open4GL.DynamicAPI.Session getSession(input sessionID as character):
   end method.

   method public Progress.Open4GL.DynamicAPI.Session createSession():
   end method.

   method public Progress.Open4GL.DynamicAPI.Session reserveSession():
   end method.

   method public void removeSession(input sessionID as character):
   end method.

   method public void releaseSession(input sessionID as character):
   end method.

   method public void addReference():
   end method.

   method public void deleteReference():
   end method.

   method public integer size():
   end method.

   method public override character toString():
   end method.

   method public integer maxBusy():
   end method.

   method public integer resetMaxBusy():
   end method.

   method public integer availableSessions():
   end method.

   method public void shutdown():
   end method.

   method public void cancelAllRequests():
   end method.

   method public void enumerate(input msg as character):
   end method.

   method public final logical ifLoggingSessionPool(input level as integer):
   end method.

end class.
